## org.omg.GIOP
Class IORAddressingInfo

    java.lang.Object
      |
      +--org.omg.GIOP.IORAddressingInfo

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class IORAddressingInfo
extends java.lang.Object
implements IDLEntity

Struct definition : IORAddressingInfo

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`IOR` `ior` Struct member ior
`int` `selected_profile_index` Struct member selected_profile_index

Constructor Summary
`IORAddressingInfo()` Default constructor
`IORAddressingInfo(int selected_profile_index, IOR ior)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### selected_profile_index

    public int selected_profile_index

  Struct member selected_profile_index

### ior

    public IOR ior

  Struct member ior

Constructor Detail

### IORAddressingInfo

    public IORAddressingInfo()

  Default constructor

### IORAddressingInfo

    public IORAddressingInfo(int selected_profile_index,
                             IOR ior)

  Constructor with fields initialization
  Parameters:
    `selected_profile_index` - selected_profile_index struct member
    `ior` - ior struct member